The roadmap progessbar is strange
Status: Closed Start date: 2010-03-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

My progessbar on some project seams to be wrong

Example:

I have 6 tickets 2 closed (33%) and 4 opened (67%) and the overall progress is 4% (screen attached)

second example

2 tickets : 1 closed 1 opened (the opened ticket is 50% finished) the overall progress is 90% I think it should be 75% (screen

attached)

History

#1 - 2010-03-22 15:40 - Jérémie Augustin

- File bug_redmine_2.jpg added

The bug didn't apply to all projects/versions only some of them

second screenshot attached

#2 - 2010-03-22 16:44 - Felix Schäfer

I think this progress bar takes into account the "% done" field to make this calculation, i.e. if you have one ticket at 100% and the other at 50%, you

will get a total of 75% done in the progress bar, though none of them might be closed.

#3 - 2010-03-22 17:54 - Jérémie Augustin

I understand the feature the same way as you that's why I submit the bug

First example it should display 33% (2 ticket closed with 100% and 4 opened with 0%) but the displayed value is 4%

I add more tickets to my version and progessbar continue to have wrong value:

2 ticket closed with 100% and 5 tickets opened with 0% and 1 opened with 50%

the result is 7% (3% green 4% light green) it should be 31% (25% green + 6% light green)

in the second example the progressbar is 90% (80% green + 10% light green) but it should be 75% (50% green + 25% light green)

Is the calcul of the progressbar done every time or is it store somewhere (and could be corrupted)

#4 - 2010-03-23 16:52 - Jérémie Augustin

the progressbar seems to be based on "estimated time" and not "% done" is it normal?

#5 - 2010-03-23 19:24 - Mischa The Evil

Jérémie Augustin wrote:

the progressbar seems to be based on "estimated time" and not "% done" is it normal?

 This seems to be a faulty documented feature. The current wiki states:

[...] a progress bar which indicates overall active/done/closed-ratio based on the %-done and statuses of the issues targeted to [...]

 This information is wrong starting from Redmine 0.9.0 which includes r2349 for issue #2182. For that issue and for #2139 Jean-Philippe Lang
https://www.redmine.org/projects/redmine/wiki/RedmineRoadmap#Overview
https://www.redmine.org/versions/6
https://www.redmine.org/projects/redmine/repository/svn/revisions/2349
https://www.redmine.org/issues/2182
https://www.redmine.org/issues/2139


changed the function as explained by him at #2182#note-6:

It uses estimated time to weight each issue. Issues with no estimated time are weighted with the average estimated time.

If no issues are estimated, they receive the same weight, so we fall back in the current calculation. For this reason, I think we don't have to make

this new calculation method an option.

 Hope this helps and please feel free to update the wiki accordingly to reflect the change in Redmine behaviour... :)

Kind regards,

Mischa.

#6 - 2010-04-11 19:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Indeed. I made a slight update to the documentation.
